Subject: bug#74496: closed (Re: bug#74496: 30.0.91; fullscreen frame set with F11 is shifted when ctwm restarts)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 23 Dec 2024 18:01:05 +0000

Your bug report

#74496: 30.0.91; fullscreen frame set with F11 is shifted when ctwm restarts

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
74496: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=74496
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#74496: 30.0.91; fullscreen frame set with F11 is shifted when ctwm restarts
From: martin rudalics <[email-masked]>
To: Van Ly <[email-masked]>
Cc: [email-masked]
Date: Mon, 23 Dec 2024 19:00:16 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

 > I've thinned the border to 1-pixel in ctwm.  I'm really happy we got to
 > the bottom of this and ctwm restart no longer shunts the bottom border
 > up a little.

So I'm closing this bug.

Thanks, martin

Subject: 30.0.91; fullscreen frame set with F11 is shifted when ctwm restarts
From: Van Ly <[email-masked]>
To: [email-masked]
Date: Sat, 23 Nov 2024 18:28:16 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

When the ctwm window manager is restarted, the emacs fullscreen frame,
set with `F11' key, shifts up by approximately 50 pixels and shows the
desktop background.  The right edge of the frame shifts a little to the
left.  Expect the fullscreen frame to remain unchanged.

To demonstrate,

 1. start, `emacs -Q'
 2. enlarge frame to fullscreen, `F11'
 3. call, `Restart CTWM' from window manager menu on X
 4. see the fullscreen frame bottom edge is shifted up 50 pixels approximately

 X. expect to see no change to fullscreen frame when ctwm restarts
    for comparison, a fullscreen xterm frame remains unchanged when ctwm restarts

=> http://sdf.org/~van.ly/img/emacs-fullscreen-frame-0.webp .
=> http://sdf.org/~van.ly/img/emacs-fullscreen-frame-1-shifts-up.webp .

=> http://mail-index.netbsd.org/netbsd-users/2024/11/23/msg031998.html discussion about shifted fullscreen frame behavior

-- 
vl